## serpento 0.3.6

=== Makefile ===
#DESTDIR =
INSTALLDIR=$(DESTDIR)/usr/lib/serpento

PYTHON_INCLUDE=/usr/include/python2.1/

CFLAGS = -O2 -W -Wall -I$(PYTHON_INCLUDE) $(DEFINES)
LDFLAGS =

all: searchingmodule.so

searchingmodule.o: searchingmodule.c
	$(CC) $(CFLAGS) -fpic -c searchingmodule.c 

searchingmodule.so: searchingmodule.o metaphone.o levenshtein.o soundex.o
	$(CC) $(CFLAGS) $(LDFLAGS) -fpic -shared \
        metaphone.o levenshtein.o soundex.o \
        searchingmodule.o -o searchingmodule.so

metaphone.o: metaphone.c metaphone.h
	$(CC) $(CFLAGS) -fpic -c metaphone.c

soundex.o: soundex.c soundex.h
	$(CC) $(CFLAGS) -fpic -c soundex.c

levenshtein.o: levenshtein.c levenshtein.h
	$(CC) $(CFLAGS) -fpic -c levenshtein.c

clean:
	rm -f *~ *.o searchingmodule.so *.pyc

install:
	mkdir -p $(INSTALLDIR)
	cp -f searchingmodule.so *.py $(INSTALLDIR)
	cp -f serpento $(DESTDIR)/usr/sbin
	cp -f serpento-inetd $(DESTDIR)/usr/sbin

=== debian/changelog ===
serpento (0.3.6) unstable; urgency=low

  * upgrade postinst script (closes: #124093)
  * handle bad commands from clients more gracefully

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sun, 16 Dec 2001 14:46:16 +0100

serpento (0.3.5) unstable; urgency=low

  * do not throw an exception if invalid strategy is used

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Mon,  5 Nov 2001 11:18:23 +0100

serpento (0.3.4) unstable; urgency=low

  * REALLY put dictdconfig into /usr/sbin now

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sun,  4 Nov 2001 17:28:42 +0100

serpento (0.3.3) unstable; urgency=low

  * changed dependency to python2.1 (closes: #118211)
  * chnged reference from python2 to python in postinst

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sun,  4 Nov 2001 12:49:45 +0100

serpento (0.3.2) unstable; urgency=low

  * upgraded to python 2.1
  * removed -Wsurprising gcc flag (closes: #105183)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Tue, 16 Oct 2001 11:31:38 +0200

serpento (0.3.1) unstable; urgency=low

  * fixed thinko in preinst (closes: #96865)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Thu, 10 May 2001 00:51:32 +0200

serpento (0.3) unstable; urgency=low

  * added python2-dev to Build-Depends (closes: #96410)
  * internally sort index files - as a result, index files
    from dictd server can be used
  * cPickle internal list of index positions and reuse it later.
    This speeds up startup significantly
  * databases parse (or unpickle) index files lazily (on demand).
    This speeds up startup even more.
  * as a result, it is possible to run serpento from inetd (especially since
    a bug preventing doing so was fixed)
  * added slightly modified dictdconfig from dictd debian package
  * various additional debian package tweaks and improvements

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Fri,  4 May 2001 10:07:43 +0200

serpento (0.2) unstable; urgency=low

  * better config file
  * can (maybe :-)) serve directly from TEI database
  * debian package

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sun, 25 Mar 2001 22:13:17 +0200

serpento (0.1) unstable; urgency=low

  * first usable version

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Wed, 13 Dec 2000 13:20:51 +0100


Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: serpento
Section: text
Priority: optional
Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
Build-Depends: debhelper (>> 2.0.0), python2.1-dev
Standards-Version: 3.5.6

Package: serpento
Architecture: any
Depends: ${shlibs:Depends}, python2.1
Conflicts: dictd
Suggests: dict, dict-gcide, dict-wn, dict-jargon, dict-foldoc
Description: dict server with full unicode support
 serpento is a dict server written in python.
 If you want to run the server, you need also dictionary 
 files. You can use those provided as debian packages
 (dict, dict-gcide, dict-wn, dict-jargon, dict-foldoc etc.)
 See /usr/share/doc/serpento/README.debian for info.

## serpento 0.4ubuntu1

=== debian/changelog ===
serpento (0.4ubuntu1) warty; urgency=low

  * conflict to dict-server (Warty bug #2165, Debian bug #275475)

 -- Martin Pitt <mpitt@debian.org>  Fri,  8 Oct 2004 15:35:39 +0200

serpento (0.4) unstable; urgency=low

  * fixed several possible exceptions
  * search now tries to be case insensitive. Required sorting of index
    files now takes so much time at startup that using index cache is a must.
    Also, do not forget to clear the case when upgrading!
  * better internal cache for reading dictzipped files
  * properly capitalize proper nouns in Description:
    (closes: #172069)

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Thu, 26 Sep 2002 12:53:06 +0200

serpento (0.3.7) unstable; urgency=low

  * added Provides: dict-server
  * index is now internally represented as C array, not as python list

 -- Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>  Sun, 17 Feb 2002 17:59:00 +0100

=== debian/control ===
Source: serpento
Section: text
Priority: optional
Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
Build-Depends: debhelper (>> 2.0.0), python2.3-dev
Standards-Version: 3.5.6

Package: serpento
Architecture: any
Depends: ${shlibs:Depends}, python2.3
Provides: dict-server
Conflicts: dict-server
Suggests: dict-client, dict-gcide, dict-wn, dict-jargon, dict-foldoc
Description: DICT server with full Unicode support
 serpento is a DICT server written in python.
 If you want to run the server, you need also dictionary 
 files. You can use those provided as Debian packages
 (dict, dict-gcide, dict-wn, dict-jargon, dict-foldoc etc.)
 See /usr/share/doc/serpento/README.debian for info.

## serpento 0.4.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #DESTDIR =
 INSTALLDIR=$(DESTDIR)/usr/lib/serpento
 
-PYTHON_INCLUDE=/usr/include/python2.1/
+PYTHON_INCLUDE=/usr/include/python2.3/
 
-CFLAGS = -O2 -W -Wall -I$(PYTHON_INCLUDE) $(DEFINES)
+CFLAGS = -g -W -Wall -I$(PYTHON_INCLUDE) $(DEFINES)
 LDFLAGS =
 
 all: searchingmodule.so

=== debian/changelog ===
serpento (0.4.1) unstable; urgency=high

  * NMU
  * Conflict with dict-server.  (closes: #257131)

 -- Tollef Fog Heen <tfheen@debian.org>  Fri,  8 Oct 2004 13:37:58 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, python2.3
 Provides: dict-server
+Suggests: dict-client, dict-gcide, dict-wn, dict-jargon, dict-foldoc
 Conflicts: dict-server
-Suggests: dict-client, dict-gcide, dict-wn, dict-jargon, dict-foldoc
 Description: DICT server with full Unicode support
  serpento is a DICT server written in python.
  If you want to run the server, you need also dictionary

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/serpento.sgml > serpento.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/serpento.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/serpento
	mv $(CURDIR)/debian/serpento/usr/lib/serpento/config.py $(CURDIR)/debian/serpento/etc/serpento/
	cp $(CURDIR)/debian/config-dbs.py $(CURDIR)/debian/serpento/etc/serpento/
	cp $(CURDIR)/dictdconfig $(CURDIR)/debian/serpento/usr/sbin/
#	cp tools/* $(CURDIR)/debian/serpento/usr/lib/serpento/tools


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion 2
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## serpento 0.4.1ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #DESTDIR =
 INSTALLDIR=$(DESTDIR)/usr/lib/serpento
 
-PYTHON_INCLUDE=/usr/include/python2.3/
+PYTHON_INCLUDE=/usr/include/python2.4/
 
 CFLAGS = -g -W -Wall -I$(PYTHON_INCLUDE) $(DEFINES)
 LDFLAGS =

=== debian/changelog ===
serpento (0.4.1ubuntu1) hoary; urgency=low

  * Rebuilt for python transition
  * Now depends on python2.4
  * Bumped Standards version to 3.6.1.1

 -- Niall Sheridan <niall@frogstomp.com>  Wed, 23 Feb 2005 22:22:10 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
-Build-Depends: debhelper (>> 2.0.0), python2.3-dev
-Standards-Version: 3.5.6
+Build-Depends: debhelper (>> 2.0.0), python2.4-dev
+Standards-Version: 3.6.1.1
 
 Package: serpento
 Architecture: any
-Depends: ${shlibs:Depends}, python2.3
+Depends: ${shlibs:Depends}, ${python:Depends}
 Provides: dict-server
 Suggests: dict-client, dict-gcide, dict-wn, dict-jargon, dict-foldoc
 Conflicts: dict-server

=== debian/rules ===
--- 
+++ 
@@ -80,6 +80,7 @@
 #	dh_makeshlibs
 	dh_installdeb
 #	dh_perl
+	dh_python
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums

## serpento 0.4.1ubuntu2

=== debian/changelog ===
serpento (0.4.1ubuntu2) edgy; urgency=low

  * Re-sync with Debian
  * Rebuild with python2.4
  * Whacked versioning due to previous Ubuntu upload

 -- Barry deFreese <bddebian@comcast.net>  Sun, 30 Jul 2006 15:03:36 -0400

serpento (0.4.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rename initscript from serpento to dictd (Closes: #356796).
  * Bump Standards-Version.
  * Change DH_COMAPT to 4.
  * Add adduser dependency.
  * Apply patch from Christian Hammers to fix broken iniscript
    (Closes: #218254).
  * Fix postrm script (Closes: #340043).

 -- Julien Louis <ptitlouis@sysif.net>  Tue,  6 Jun 2006 22:56:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
 Build-Depends: debhelper (>> 2.0.0), python2.4-dev
-Standards-Version: 3.6.1.1
+Standards-Version: 3.7.2
 
 Package: serpento
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, python2.4, adduser
 Provides: dict-server
 Suggests: dict-client, dict-gcide, dict-wn, dict-jargon, dict-foldoc
 Conflicts: dict-server

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=2
+#export DH_COMPAT=2
 
 configure: configure-stamp
 configure-stamp:
@@ -65,7 +65,7 @@
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
-	dh_installinit
+	dh_installinit --name=dictd
 	dh_installcron
 	dh_installmanpages
 	dh_installinfo
@@ -80,7 +80,6 @@
 #	dh_makeshlibs
 	dh_installdeb
 #	dh_perl
-	dh_python
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums

## serpento 0.4.1ubuntu4

=== debian/changelog ===
serpento (0.4.1ubuntu4) feisty; urgency=low

  * Build using python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Jan 2007 12:54:11 +0100

serpento (0.4.1ubuntu3) feisty; urgency=low

  * Fakesync with Debian unstable (for native-source NMU versioning).

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 20 Nov 2006 14:57:35 +1100

serpento (0.4.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Updated package to the last Python Policy. (Closes: #380946)
  * Bumped compat to 5.
  * Removed utils.pyc file (Closes: #392484)
  * Replaced dh_installmanpages with dh_installman 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 23 Oct 2006 03:11:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
-Build-Depends: debhelper (>> 2.0.0), python2.4-dev
+Build-Depends: debhelper (>> 2.0.0), python2.5-dev
 Standards-Version: 3.7.2
 
 Package: serpento
 Architecture: any
-Depends: ${shlibs:Depends}, python2.4, adduser
+Depends: ${shlibs:Depends}, python2.5, adduser
 Provides: dict-server
 Suggests: dict-client, dict-gcide, dict-wn, dict-jargon, dict-foldoc
 Conflicts: dict-server

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
+	rm -f *.pyo
 
 	dh_clean

## serpento 0.4.1ubuntu5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #DESTDIR =
 INSTALLDIR=$(DESTDIR)/usr/lib/serpento
 
-PYTHON_INCLUDE=/usr/include/python2.4/
+PYTHON_INCLUDE=/usr/include/python2.5/
 
 CFLAGS = -g -W -Wall -I$(PYTHON_INCLUDE) $(DEFINES)
 LDFLAGS =

=== debian/changelog ===
serpento (0.4.1ubuntu5) gutsy; urgency=low

  * Don't include byte-compiled files. (LP: #36733)
  * Modify Maintainer value to match DebianMaintainerField spec

 -- Lionel Porcheron <lionel.porcheron@ubuntu.com>  Tue, 04 Sep 2007 22:44:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: serpento
 Section: text
 Priority: optional
-Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
 Build-Depends: debhelper (>> 2.0.0), python2.5-dev
 Standards-Version: 3.7.2

## serpento 0.4.1-0.2

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: serpento
 Section: text
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
-Build-Depends: debhelper (>> 2.0.0), python2.5-dev
+Maintainer: Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk>
+Build-Depends: debhelper (>> 5), python-support (>= 0.5.3), python2.4-dev
 Standards-Version: 3.7.2
 
 Package: serpento
 Architecture: any
-Depends: ${shlibs:Depends}, python2.5, adduser
+Depends: ${shlibs:Depends}, python2.4, adduser
 Provides: dict-server
 Suggests: dict-client, dict-gcide, dict-wn, dict-jargon, dict-foldoc
 Conflicts: dict-server

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,6 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
-	rm -f *.pyo
 
 	dh_clean
 
@@ -50,6 +49,7 @@
 	cp $(CURDIR)/dictdconfig $(CURDIR)/debian/serpento/usr/sbin/
 #	cp tools/* $(CURDIR)/debian/serpento/usr/lib/serpento/tools
 
+	rm -f $(CURDIR)/tools/utils.pyc
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -68,7 +68,7 @@
 #	dh_installpam
 	dh_installinit --name=dictd
 	dh_installcron
-	dh_installmanpages
+	dh_installman
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs
@@ -79,6 +79,7 @@
 	# You may want to make some executables suid here.
 #	dh_suidregister
 #	dh_makeshlibs
+	dh_pysupport
 	dh_installdeb
 #	dh_perl
 	dh_shlibdeps
